# MeinBenchmark

## Class MeinBenchmark

- java.lang.Object
- - BenchmarkBase
  - - MeinBenchmark

    public class MeinBenchmark
    extends BenchmarkBase

Führt Leistungstests mit verschiedenen Set-Implementationen aus

Version:
  November 2020
Author:
  Rainer Helfrich

### Field Summary

### Fields inherited from class BenchmarkBase

`theSet, zufallszahlen`

### Constructor Summary

Constructors
`MeinBenchmark()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `laufzeitTestAusfuehren()` Führt einen Laufzeittest mit z.B. 1000 Elementen aus und gibt das Ergebnis auf der Konsole aus.
`void` `meinTest​(int anzahl)`
`static void` `speicherTestAusfuehren()` Führt einen Speichertest mit z.B. 100 Elementen aus und gibt das Ergebnis auf der Konsole aus.

### Methods inherited from class BenchmarkBase

`init, laufzeitTest, main, speicherTest`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MeinBenchmark

    public MeinBenchmark()

### Method Detail

#### meinTest

    public void meinTest​(int anzahl)

#### speicherTestAusfuehren

    public static void speicherTestAusfuehren()

Führt einen Speichertest mit z.B. 100 Elementen aus und gibt das Ergebnis auf der Konsole aus.

#### laufzeitTestAusfuehren

    public static void laufzeitTestAusfuehren()

Führt einen Laufzeittest mit z.B. 1000 Elementen aus und gibt das Ergebnis auf der Konsole aus.